Debian Bug report logs - #570360
transition: phonon and qt4-x11 - schedule

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: fabo@debian.org

Date: Thu, 18 Feb 2010 10:45:02 UTC

Severity: normal

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Thu, 18 Feb 2010 10:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabo@debian.org:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 18 Feb 2010 10:45:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: submit@bugs.debian.org
Subject: transition: phonon and qt4-x11 - schedule
Date: Thu, 18 Feb 2010 11:44:30 +0100
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: transition
Severity: normal

follow-up to http://bugs.debian.org/570356

Qt 4.6.2 is ready for an upload to Sid.
We would like to plan the move and couple it with Phonon.
phonon library is now provided by phonon source package instead of qt4-x11 
source package.

The Qt version 4.6 series is binary compatible with the 4.5.x series.
Applications compiled for 4.5 will continue to run with 4.6.

Could you schedule this upload (after directfb transition) ?

Cheers,

Fathi

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)




Added indication that bug 570360 blocks 571990 Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Tue, 02 Mar 2010 20:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Wed, 07 Apr 2010 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Borzenkov <ivan1986@list.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 19:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 570360@bugs.debian.org (full text, mbox):

From: Ivan Borzenkov <ivan1986@list.ru>
To: 570360@bugs.debian.org
Subject: [release.debian.org]
Date: Wed, 7 Apr 2010 22:09:09 +0400
[Message part 1 (text/plain, inline)]
Package: release.debian.org

Qt normal builds and work in sid, in bug 570360 write "Upload to unstable 
done." and version 1.2.10 in sid. (also 1.4.3. in experimental)
bug 570360 must be closed, or what?

Why bug is still open???
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Wed, 07 Apr 2010 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 20:48:06 GMT) Full text and rfc822 format available.

Message #17 received at 570360@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Ivan Borzenkov <ivan1986@list.ru>, 570360@bugs.debian.org
Subject: Re: Bug#570360: [release.debian.org]
Date: Wed, 07 Apr 2010 21:15:58 +0100
On Wed, 2010-04-07 at 22:09 +0400, Ivan Borzenkov wrote:
> Qt normal builds and work in sid,

Indeed; but not version 4.6.2, which is what this bug is about.

> in bug 570360 write "Upload to unstable done."

I assume you mean #570356, which is about directfb...

> and version 1.2.10 in sid. (also 1.4.3. in experimental)

...and these are directfb versions.

The upload to unstable has indeed occurred, but the packages have not
yet transitioned to testing.

> bug 570360 must be closed, or what?

No.

> Why bug is still open???

Because the qt4 / phonon transition hasn't started yet, yet alone
finished.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Wed, 07 Apr 2010 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 20:57:02 GMT) Full text and rfc822 format available.

Message #22 received at 570360@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: fabo@debian.org, 570360@bugs.debian.org
Subject: Re: Bug#570360: transition: phonon and qt4-x11 - schedule
Date: Wed, 07 Apr 2010 21:52:18 +0100
On Thu, 2010-02-18 at 11:44 +0100, Fathi Boudra wrote:
> Qt 4.6.2 is ready for an upload to Sid.
> We would like to plan the move and couple it with Phonon.
> phonon library is now provided by phonon source package instead of qt4-x11 
> source package.
> 
> The Qt version 4.6 series is binary compatible with the 4.5.x series.
> Applications compiled for 4.5 will continue to run with 4.6.

Do you have a list of packages involved (other than qt4-x11 and phonon),
or a simple way to generate such a list?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Wed, 07 Apr 2010 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Borzenkov <ivan1986@list.ru>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 21:12:03 GMT) Full text and rfc822 format available.

Message #27 received at 570360@bugs.debian.org (full text, mbox):

From: Ivan Borzenkov <ivan1986@list.ru>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 570360@bugs.debian.org
Subject: Re: Bug#570360: [release.debian.org]
Date: Thu, 8 Apr 2010 01:10:28 +0400
[Message part 1 (text/plain, inline)]
8 апреля 2010 00:15:58 Adam D. Barratt писали:
> On Wed, 2010-04-07 at 22:09 +0400, Ivan Borzenkov wrote:
> > Qt normal builds and work in sid,
> 
> Indeed; but not version 4.6.2, which is what this bug is about.
> 
Oddly enough, I understand that the experimental gather in sid, qt 4.6 from 
experimental because once assembled, and it indicated that it is ready for 
upload to sid.

> > in bug 570360 write "Upload to unstable done."
> 
> I assume you mean #570356, which is about directfb...
> 
Yes.

> > and version 1.2.10 in sid. (also 1.4.3. in experimental)
> 
> ...and these are directfb versions.
> 
> The upload to unstable has indeed occurred, but the packages have not
> yet transitioned to testing.
> 
And why is that the package had not yet moved into the testing prevents upload 
package dependencies in sid?

> > bug 570360 must be closed, or what?
> 
> No.
> 
> > Why bug is still open???
> 
> Because the qt4 / phonon transition hasn't started yet, yet alone
> finished.
> 
> Regards,
> 
> Adam


---
Иван Борзенков <ivan1986@list.ru>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Wed, 07 Apr 2010 21:40:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Apr 2010 21:40:36 GMT) Full text and rfc822 format available.

Message #32 received at 570360@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Ivan Borzenkov <ivan1986@list.ru>
Cc: 570360@bugs.debian.org
Subject: Re: Bug#570360: [release.debian.org]
Date: Wed, 07 Apr 2010 22:32:47 +0100
On Thu, 2010-04-08 at 01:10 +0400, Ivan Borzenkov wrote:
> 8 апреля 2010 00:15:58 Adam D. Barratt писали:
> > On Wed, 2010-04-07 at 22:09 +0400, Ivan Borzenkov wrote:
> > > in bug 570360 write "Upload to unstable done."
> > 
> > I assume you mean #570356, which is about directfb...
> > 
> Yes.
> 
> > > and version 1.2.10 in sid. (also 1.4.3. in experimental)
> > 
> > ...and these are directfb versions.
> > 
> > The upload to unstable has indeed occurred, but the packages have not
> > yet transitioned to testing.
> > 
> And why is that the package had not yet moved into the testing prevents upload 
> package dependencies in sid?

(Apologies if I've misunderstood the question)

When multiple transitions are ongoing in unstable, the chances that any
given package's migration to testing  will become affected by more than
one of those transactions increases which makes it more difficult to
maintain the flow of packages from unstable to testing.

Adding more transitions to unstable increases the chances of a conflict
occurring and the blockage of testing migration increasing.  We
therefore try to get directfb migrated before starting on qt4.6 / kde4.4
to avoid any risk of tying the two together.

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Fri, 09 Apr 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 09 Apr 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 570360@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: 570360@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#570360: [release.debian.org]
Date: Fri, 9 Apr 2010 22:52:25 +0300
[Message part 1 (text/plain, inline)]
Hello,

Sune Vuorela wrote:
> It is just a shlibs bump (but with symbol files), and phonon and qt4-x11
> sources needs to migrate together.
> 
> It would be nice to get a binNMU of some packages, like python-qt4 in
> order to pick up new features (needed for kde4.4), some of these
> packages is having ifdef'ed code depending on the qt version its built
> against
> 
> (the kde 4.4 issues is a bit bigger, but 90% of that is in the kde uploaded
> source packages)

The following packages will be removed when KDE 4.4 is uploaded to sid:

kpackage
libkonqsidebarplugin4
libkonqsidebarplugin4-dev
libkfontinst4
libkwineffects1
libnepomukquery4
libnepomukqueryclient4
libplasma-applet-system-monitor4
libplasmaclock4
libprocesscore4
libprocessui4
libtaskmanager4
libweather-ion4
libsmokeakonadi2
libsmokekde4-2
libsmokeokular2
libsmokeplasma2
libsmokeqimageblitz2
libsmokeqt4-2
libsmokesoprano2
indi
libmarble4
kdesnake
libkdcraw7
libkdcraw7-dev
libkexiv2-7
libkexiv2-7-dev
libkipi6
libkipi6-dev
kde-i18n-bn
kde-i18n-th
kde-l10n-bnin
kde-l10n-hne
kde-l10n-ku
kde-l10n-mr
kde-l10n-th
kpilot
libkabcommon4
libkontactinterfaces4
libmaildir4
kdepimlibs-data
liblancelot0
kdesdk-dev
kdessh
kxsldbg

Although the list is long but actually it affects only the following "3rd 
party" reverse dependencies. Fortunately, all maintainers of these packages 
are members of pkg-kde so there won't be delays updating the packages.

Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
   digikam
   kipi-plugins
   kphotoalbum
   ktorrent

Kai Wasserbäch <debian@carbon-project.org>
   plasma-widget-yawp

In addition, we are going to do google-gadgets and libmsn soname changes. 
These packages have no dependencies outside KDE (kdebase-workspace and 
kdenetwork) hence they won't cause any additional trouble.

To sum up, KDE SC 4.4 transition will be almost like shlibs bump with a few 
minor exceptions above.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Mon, 19 Apr 2010 11:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 19 Apr 2010 11:33:07 GMT) Full text and rfc822 format available.

Message #42 received at 570360@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: fabo@debian.org, 570360@bugs.debian.org
Subject: Re: Bug#570360: transition: phonon and qt4-x11 - schedule
Date: Mon, 19 Apr 2010 12:29:43 +0100
Hi,

On Thu, February 18, 2010 11:44, Fathi Boudra wrote:
> Qt 4.6.2 is ready for an upload to Sid.
> We would like to plan the move and couple it with Phonon.
> phonon library is now provided by phonon source package instead of qt4-x11
> source package.

The new qt4-x11 and phonon versions have now transitioned to testing. 
Please feel free to start uploading KDE4.4 to unstable.

Sune mentioned that there might be some binNMU requests for packages which
weren't otherwise getting an update; is that the case?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#570360; Package release.debian.org. (Mon, 19 Apr 2010 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabo@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 19 Apr 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #47 received at 570360@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 570360@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#570360: transition: phonon and qt4-x11 - schedule
Date: Mon, 19 Apr 2010 19:56:43 +0300
Hi,

On Mon, Apr 19, 2010 at 2:29 PM, Adam D. Barratt wrote:
> The new qt4-x11 and phonon versions have now transitioned to testing.
> Please feel free to start uploading KDE4.4 to unstable.

Thanks for the follow up. We won't upload KDE 4.4.2 to unstable.
KDE 4.4.3 is near [1] (around 10 days). We prefer to wait for it.

[1] http://techbase.kde.org/Schedules/KDE4/4.4_Release_Schedule

Cheers,

Fathi
on behalf of Debian Qt/KDE team




Reply sent to fabo@debian.org:
You have taken responsibility. (Wed, 21 Apr 2010 08:45:12 GMT) Full text and rfc822 format available.

Notification sent to fabo@debian.org:
Bug acknowledged by developer. (Wed, 21 Apr 2010 08:45:12 GMT) Full text and rfc822 format available.

Message #52 received at 570360-done@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 570360-done@bugs.debian.org
Subject: Re: Bug#570360: transition: phonon and qt4-x11 - schedule
Date: Wed, 21 Apr 2010 11:43:15 +0300
On Mon, Apr 19, 2010 at 10:57 PM, Adam D. Barratt wrote:
>> Thanks for the follow up. We won't upload KDE 4.4.2 to unstable.
>> KDE 4.4.3 is near [1] (around 10 days). We prefer to wait for it.
>
> Not what I was expecting, but ok. :-)

Life is full of surprise :)

> Is there anything further you need from the release team in terms of
> this transition, or can we consider it done and close the tracking bug?

We can consider it's done. Thanks.

Cheers,

Fathi




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 May 2010 07:38:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:40:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.